
########## Tcl recorder starts at 10/21/09 11:20:46 ##########

set version "1.2"
set proj_dir "D:/Documents/Cours/ELEN040/GuitarHero"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line; continue}
	if {$path && [regexp {^fpgabinpath} $lline]} {set fpga_bin $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]
set fpga_bin [string range $fpga_bin [expr [string first "=" $fpga_bin]+1] end]
regsub -all "\"" $fpga_bin "" fpga_bin
set fpga_bin [file join $fpga_bin]

if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$fpga_bin;$env(PATH)" }

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:20:46 ###########


########## Tcl recorder starts at 10/21/09 11:22:45 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:22:45 ###########


########## Tcl recorder starts at 10/21/09 11:23:16 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:23:16 ###########


########## Tcl recorder starts at 10/21/09 11:23:53 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:23:53 ###########


########## Tcl recorder starts at 10/21/09 11:24:03 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:24:03 ###########


########## Tcl recorder starts at 10/21/09 11:24:18 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:24:18 ###########


########## Tcl recorder starts at 10/21/09 11:25:03 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:25:03 ###########


########## Tcl recorder starts at 10/21/09 11:25:34 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:25:34 ###########


########## Tcl recorder starts at 10/21/09 11:26:01 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:26:01 ###########


########## Tcl recorder starts at 10/21/09 11:26:03 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:26:03 ###########


########## Tcl recorder starts at 10/21/09 11:26:16 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:26:16 ###########


########## Tcl recorder starts at 10/21/09 11:26:20 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:26:20 ###########


########## Tcl recorder starts at 10/21/09 11:26:27 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:26:27 ###########


########## Tcl recorder starts at 10/21/09 11:26:42 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:26:42 ###########


########## Tcl recorder starts at 10/21/09 11:27:24 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:27:24 ###########


########## Tcl recorder starts at 10/21/09 11:27:26 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:27:26 ###########


########## Tcl recorder starts at 10/21/09 11:27:47 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:27:47 ###########


########## Tcl recorder starts at 10/21/09 11:28:46 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:28:46 ###########


########## Tcl recorder starts at 10/21/09 11:28:53 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:28:53 ###########


########## Tcl recorder starts at 10/21/09 11:28:58 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:28:58 ###########


########## Tcl recorder starts at 10/21/09 11:29:14 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:29:14 ###########


########## Tcl recorder starts at 10/21/09 11:31:21 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:31:21 ###########


########## Tcl recorder starts at 10/21/09 11:31:29 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:31:29 ###########


########## Tcl recorder starts at 10/21/09 11:31:31 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:31:31 ###########


########## Tcl recorder starts at 10/21/09 11:32:33 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:32:33 ###########


########## Tcl recorder starts at 10/21/09 11:32:44 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:32:44 ###########


########## Tcl recorder starts at 10/21/09 11:33:33 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:33:33 ###########


########## Tcl recorder starts at 10/21/09 11:34:18 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:34:18 ###########


########## Tcl recorder starts at 10/21/09 11:34:21 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:34:21 ###########


########## Tcl recorder starts at 10/21/09 11:35:30 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:35:30 ###########


########## Tcl recorder starts at 10/21/09 11:35:53 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:35:53 ###########


########## Tcl recorder starts at 10/21/09 11:36:23 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:36:23 ###########


########## Tcl recorder starts at 10/21/09 11:37:36 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:37:36 ###########


########## Tcl recorder starts at 10/21/09 11:38:25 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:38:25 ###########


########## Tcl recorder starts at 10/21/09 11:38:32 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:38:32 ###########


########## Tcl recorder starts at 10/21/09 11:38:39 ##########

# Commands to make the Process: 
# Linked Equations
if [catch {open GH.cmd w} rspFile] {
	puts stderr "Cannot create response file GH.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: guitarhero.sty
PROJECT: GH
WORKING_PATH: \"$proj_dir\"
MODULE: GH
VHDL_FILE_LIST: guitarhero.vhd
OUTPUT_FILE_NAME: GH
SUFFIX_NAME: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e GH -target ispGAL -notPro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete GH.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"GH.edi\" -out \"GH.bl0\" -err automake.err -log \"GH.log\" -prj guitarhero -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt YES -net_Vcc VCC -net_GND GND -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"GH.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"GH.bl1\" -o \"guitarhero.bl2\" -omod GH -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" \"guitarhero.bl2\" -o \"guitarhero.eq2\" -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:38:39 ###########


########## Tcl recorder starts at 10/21/09 11:39:18 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:39:18 ###########


########## Tcl recorder starts at 10/21/09 11:39:23 ##########

# Commands to make the Process: 
# Linked Equations
if [catch {open GH.cmd w} rspFile] {
	puts stderr "Cannot create response file GH.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: guitarhero.sty
PROJECT: GH
WORKING_PATH: \"$proj_dir\"
MODULE: GH
VHDL_FILE_LIST: guitarhero.vhd
OUTPUT_FILE_NAME: GH
SUFFIX_NAME: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e GH -target ispGAL -notPro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete GH.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"GH.edi\" -out \"GH.bl0\" -err automake.err -log \"GH.log\" -prj guitarhero -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt YES -net_Vcc VCC -net_GND GND -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"GH.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"GH.bl1\" -o \"guitarhero.bl2\" -omod GH -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" \"guitarhero.bl2\" -o \"guitarhero.eq2\" -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:39:23 ###########


########## Tcl recorder starts at 10/21/09 11:39:52 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:39:52 ###########


########## Tcl recorder starts at 10/21/09 11:40:40 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:40:40 ###########


########## Tcl recorder starts at 10/21/09 11:40:49 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:40:49 ###########


########## Tcl recorder starts at 10/21/09 11:40:59 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:40:59 ###########


########## Tcl recorder starts at 10/21/09 11:41:07 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:41:07 ###########


########## Tcl recorder starts at 10/21/09 11:42:34 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:42:34 ###########


########## Tcl recorder starts at 10/21/09 11:42:47 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:42:47 ###########


########## Tcl recorder starts at 10/21/09 11:42:56 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:42:56 ###########


########## Tcl recorder starts at 10/21/09 11:43:20 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:43:20 ###########


########## Tcl recorder starts at 10/21/09 11:43:35 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:43:35 ###########


########## Tcl recorder starts at 10/21/09 11:43:42 ##########

# Commands to make the Process: 
# Linked Equations
if [catch {open GH.cmd w} rspFile] {
	puts stderr "Cannot create response file GH.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: guitarhero.sty
PROJECT: GH
WORKING_PATH: \"$proj_dir\"
MODULE: GH
VHDL_FILE_LIST: guitarhero.vhd
OUTPUT_FILE_NAME: GH
SUFFIX_NAME: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e GH -target ispGAL -notPro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete GH.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"GH.edi\" -out \"GH.bl0\" -err automake.err -log \"GH.log\" -prj guitarhero -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt YES -net_Vcc VCC -net_GND GND -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"GH.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"GH.bl1\" -o \"guitarhero.bl2\" -omod GH -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" \"guitarhero.bl2\" -o \"guitarhero.eq2\" -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:43:42 ###########


########## Tcl recorder starts at 10/21/09 11:43:55 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:43:55 ###########


########## Tcl recorder starts at 10/21/09 11:43:57 ##########

# Commands to make the Process: 
# Linked Equations
if [catch {open GH.cmd w} rspFile] {
	puts stderr "Cannot create response file GH.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: guitarhero.sty
PROJECT: GH
WORKING_PATH: \"$proj_dir\"
MODULE: GH
VHDL_FILE_LIST: guitarhero.vhd
OUTPUT_FILE_NAME: GH
SUFFIX_NAME: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e GH -target ispGAL -notPro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete GH.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"GH.edi\" -out \"GH.bl0\" -err automake.err -log \"GH.log\" -prj guitarhero -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt YES -net_Vcc VCC -net_GND GND -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"GH.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"GH.bl1\" -o \"guitarhero.bl2\" -omod GH -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" \"guitarhero.bl2\" -o \"guitarhero.eq2\" -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:43:57 ###########


########## Tcl recorder starts at 10/21/09 11:44:30 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/iblifopt\" guitarhero.bl2 -red bypin choose -sweep -collapse all -pterms 8 -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/idiofft\" guitarhero.bl3 -pla -o guitarhero.tt2 -dev p22v10g -define N -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fit\" guitarhero.tt2 -dev p22v10g -str -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fuseasm\" guitarhero.tt3 -dev p22v10g -o guitarhero.jed -ivec NoInput.tmv -rep guitarhero.rpt -doc brief -con ptblown -for brief -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:44:30 ###########


########## Tcl recorder starts at 10/21/09 11:49:49 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:49:49 ###########


########## Tcl recorder starts at 10/21/09 11:50:14 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:50:14 ###########


########## Tcl recorder starts at 10/21/09 11:54:34 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:54:34 ###########


########## Tcl recorder starts at 10/21/09 11:54:43 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:54:43 ###########


########## Tcl recorder starts at 10/21/09 11:54:56 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:54:56 ###########


########## Tcl recorder starts at 10/21/09 11:55:02 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:55:02 ###########


########## Tcl recorder starts at 10/21/09 11:55:12 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:55:12 ###########


########## Tcl recorder starts at 10/21/09 11:55:27 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:55:27 ###########


########## Tcl recorder starts at 10/21/09 11:55:54 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open GH.cmd w} rspFile] {
	puts stderr "Cannot create response file GH.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: guitarhero.sty
PROJECT: GH
WORKING_PATH: \"$proj_dir\"
MODULE: GH
VHDL_FILE_LIST: guitarhero.vhd
OUTPUT_FILE_NAME: GH
SUFFIX_NAME: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e GH -target ispGAL -notPro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete GH.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"GH.edi\" -out \"GH.bl0\" -err automake.err -log \"GH.log\" -prj guitarhero -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt YES -net_Vcc VCC -net_GND GND -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"GH.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"GH.bl1\" -o \"guitarhero.bl2\" -omod GH -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" guitarhero.bl2 -red bypin choose -sweep -collapse all -pterms 8 -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/idiofft\" guitarhero.bl3 -pla -o guitarhero.tt2 -dev p22v10g -define N -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fit\" guitarhero.tt2 -dev p22v10g -str -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fuseasm\" guitarhero.tt3 -dev p22v10g -o guitarhero.jed -ivec NoInput.tmv -rep guitarhero.rpt -doc brief -con ptblown -for brief -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:55:54 ###########


########## Tcl recorder starts at 10/21/09 11:56:11 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:56:11 ###########


########## Tcl recorder starts at 10/21/09 11:56:14 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open GH.cmd w} rspFile] {
	puts stderr "Cannot create response file GH.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: guitarhero.sty
PROJECT: GH
WORKING_PATH: \"$proj_dir\"
MODULE: GH
VHDL_FILE_LIST: guitarhero.vhd
OUTPUT_FILE_NAME: GH
SUFFIX_NAME: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e GH -target ispGAL -notPro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete GH.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"GH.edi\" -out \"GH.bl0\" -err automake.err -log \"GH.log\" -prj guitarhero -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt YES -net_Vcc VCC -net_GND GND -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"GH.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"GH.bl1\" -o \"guitarhero.bl2\" -omod GH -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" guitarhero.bl2 -red bypin choose -sweep -collapse all -pterms 8 -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/idiofft\" guitarhero.bl3 -pla -o guitarhero.tt2 -dev p22v10g -define N -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fit\" guitarhero.tt2 -dev p22v10g -str -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fuseasm\" guitarhero.tt3 -dev p22v10g -o guitarhero.jed -ivec NoInput.tmv -rep guitarhero.rpt -doc brief -con ptblown -for brief -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:56:14 ###########


########## Tcl recorder starts at 10/21/09 11:58:52 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:58:52 ###########


########## Tcl recorder starts at 10/21/09 11:59:03 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open GH.cmd w} rspFile] {
	puts stderr "Cannot create response file GH.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: guitarhero.sty
PROJECT: GH
WORKING_PATH: \"$proj_dir\"
MODULE: GH
VHDL_FILE_LIST: guitarhero.vhd
OUTPUT_FILE_NAME: GH
SUFFIX_NAME: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e GH -target ispGAL -notPro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete GH.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"GH.edi\" -out \"GH.bl0\" -err automake.err -log \"GH.log\" -prj guitarhero -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt YES -net_Vcc VCC -net_GND GND -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"GH.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"GH.bl1\" -o \"guitarhero.bl2\" -omod GH -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" guitarhero.bl2 -red bypin choose -sweep -collapse all -pterms 8 -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/idiofft\" guitarhero.bl3 -pla -o guitarhero.tt2 -dev p22v10g -define N -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fit\" guitarhero.tt2 -dev p22v10g -str -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fuseasm\" guitarhero.tt3 -dev p22v10g -o guitarhero.jed -ivec NoInput.tmv -rep guitarhero.rpt -doc brief -con ptblown -for brief -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 11:59:03 ###########


########## Tcl recorder starts at 10/21/09 12:02:51 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:02:51 ###########


########## Tcl recorder starts at 10/21/09 12:03:00 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:03:00 ###########


########## Tcl recorder starts at 10/21/09 12:03:18 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:03:18 ###########


########## Tcl recorder starts at 10/21/09 12:05:34 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:05:34 ###########


########## Tcl recorder starts at 10/21/09 12:05:43 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:05:43 ###########


########## Tcl recorder starts at 10/21/09 12:05:54 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:05:54 ###########


########## Tcl recorder starts at 10/21/09 12:06:06 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:06:06 ###########


########## Tcl recorder starts at 10/21/09 12:06:11 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:06:11 ###########


########## Tcl recorder starts at 10/21/09 12:06:50 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:06:50 ###########


########## Tcl recorder starts at 10/21/09 12:06:53 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:06:53 ###########


########## Tcl recorder starts at 10/21/09 12:06:58 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:06:58 ###########


########## Tcl recorder starts at 10/21/09 12:07:08 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:07:08 ###########


########## Tcl recorder starts at 10/21/09 12:07:30 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:07:30 ###########


########## Tcl recorder starts at 10/21/09 12:08:02 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:08:02 ###########


########## Tcl recorder starts at 10/21/09 12:08:06 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:08:06 ###########


########## Tcl recorder starts at 10/21/09 12:08:19 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:08:19 ###########


########## Tcl recorder starts at 10/21/09 12:08:56 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:08:56 ###########


########## Tcl recorder starts at 10/21/09 12:09:01 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open GH.cmd w} rspFile] {
	puts stderr "Cannot create response file GH.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: guitarhero.sty
PROJECT: GH
WORKING_PATH: \"$proj_dir\"
MODULE: GH
VHDL_FILE_LIST: guitarhero.vhd
OUTPUT_FILE_NAME: GH
SUFFIX_NAME: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e GH -target ispGAL -notPro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete GH.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"GH.edi\" -out \"GH.bl0\" -err automake.err -log \"GH.log\" -prj guitarhero -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt YES -net_Vcc VCC -net_GND GND -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"GH.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"GH.bl1\" -o \"guitarhero.bl2\" -omod GH -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" guitarhero.bl2 -red bypin choose -sweep -collapse all -pterms 8 -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/idiofft\" guitarhero.bl3 -pla -o guitarhero.tt2 -dev p22v10g -define N -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fit\" guitarhero.tt2 -dev p22v10g -str -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fuseasm\" guitarhero.tt3 -dev p22v10g -o guitarhero.jed -ivec NoInput.tmv -rep guitarhero.rpt -doc brief -con ptblown -for brief -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:09:01 ###########


########## Tcl recorder starts at 10/21/09 12:12:00 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:12:00 ###########


########## Tcl recorder starts at 10/21/09 12:12:23 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"guitarhero.vhd\" -o \"guitarhero.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 10/21/09 12:12:23 ###########

